package com.ruoyi.dw.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据采集选项对象 cj_option
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public class CjOption extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 数据采集选项 */
    @Excel(name = "数据采集选项")
    private String optionInfo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setOptionInfo(String optionInfo) 
    {
        this.optionInfo = optionInfo;
    }

    public String getOptionInfo() 
    {
        return optionInfo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("optionInfo", getOptionInfo())
            .toString();
    }
}
