package com.ruoyi.dw.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 采集学生信息对象 cj_student
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public class CjStudent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String xm;

    /** 性别 */
    @Excel(name = "性别")
    private String xb;

    /** 专业 */
    @Excel(name = "专业")
    private String zy;

    /** 毕业年份 */
    @Excel(name = "毕业年份")
    private Long bynf;

    /** 最高学历 */
    @Excel(name = "最高学历")
    private String zgyl;

    /** 工作单位 */
    @Excel(name = "工作单位")
    private String gzdw;

    /** 单位性质 */
    @Excel(name = "单位性质")
    private String dwxz;

    /** 单位地址 */
    @Excel(name = "单位地址")
    private String dwdz;

    /** 职务级别 */
    @Excel(name = "职务级别")
    private String zwjb;

    /** 职务级别 */
    @Excel(name = "职务级别")
    private String shjz;

    /** 代表荣誉 */
    @Excel(name = "代表荣誉")
    private String dbry;

    /** 荣誉是否展示 */
    @Excel(name = "荣誉是否展示")
    private Long rysfzs;

    /** 手机 */
    @Excel(name = "手机")
    private String sj;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String yx;

    /** 其他 */
    @Excel(name = "其他")
    private String qt;

    /** 是否确认 */
    @Excel(name = "是否确认")
    private Long sfqr;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setXm(String xm) 
    {
        this.xm = xm;
    }

    public String getXm() 
    {
        return xm;
    }

    public void setXb(String xb) 
    {
        this.xb = xb;
    }

    public String getXb() 
    {
        return xb;
    }

    public void setZy(String zy) 
    {
        this.zy = zy;
    }

    public String getZy() 
    {
        return zy;
    }

    public void setBynf(Long bynf) 
    {
        this.bynf = bynf;
    }

    public Long getBynf() 
    {
        return bynf;
    }

    public void setZgyl(String zgyl) 
    {
        this.zgyl = zgyl;
    }

    public String getZgyl() 
    {
        return zgyl;
    }

    public void setGzdw(String gzdw) 
    {
        this.gzdw = gzdw;
    }

    public String getGzdw() 
    {
        return gzdw;
    }

    public void setDwxz(String dwxz) 
    {
        this.dwxz = dwxz;
    }

    public String getDwxz() 
    {
        return dwxz;
    }

    public void setDwdz(String dwdz) 
    {
        this.dwdz = dwdz;
    }

    public String getDwdz() 
    {
        return dwdz;
    }

    public void setZwjb(String zwjb) 
    {
        this.zwjb = zwjb;
    }

    public String getZwjb() 
    {
        return zwjb;
    }

    public void setShjz(String shjz) 
    {
        this.shjz = shjz;
    }

    public String getShjz() 
    {
        return shjz;
    }

    public void setDbry(String dbry) 
    {
        this.dbry = dbry;
    }

    public String getDbry() 
    {
        return dbry;
    }

    public void setRysfzs(Long rysfzs) 
    {
        this.rysfzs = rysfzs;
    }

    public Long getRysfzs() 
    {
        return rysfzs;
    }

    public void setSj(String sj) 
    {
        this.sj = sj;
    }

    public String getSj() 
    {
        return sj;
    }

    public void setYx(String yx) 
    {
        this.yx = yx;
    }

    public String getYx() 
    {
        return yx;
    }

    public void setQt(String qt) 
    {
        this.qt = qt;
    }

    public String getQt() 
    {
        return qt;
    }

    public void setSfqr(Long sfqr) 
    {
        this.sfqr = sfqr;
    }

    public Long getSfqr() 
    {
        return sfqr;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xm", getXm())
            .append("xb", getXb())
            .append("zy", getZy())
            .append("bynf", getBynf())
            .append("zgyl", getZgyl())
            .append("gzdw", getGzdw())
            .append("dwxz", getDwxz())
            .append("dwdz", getDwdz())
            .append("zwjb", getZwjb())
            .append("shjz", getShjz())
            .append("dbry", getDbry())
            .append("rysfzs", getRysfzs())
            .append("sj", getSj())
            .append("yx", getYx())
            .append("qt", getQt())
            .append("sfqr", getSfqr())
            .toString();
    }
}
