package com.ruoyi.dw.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 调查问卷统计展示对象 dw_index_config
 * 
 * @author sunyg
 * @date 2025-06-27
 */
public class DwIndexConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 展位名称 */
    @Excel(name = "展位名称")
    private String indexName;

    /** 问题id多个逗号隔开 */
    @Excel(name = "问题id多个逗号隔开")
    private String questionId;

    /** 调查问卷id */
    @Excel(name = "调查问卷id")
    private Long infoId;

    /**
     * 展现形式
     * 0-饼状图，2-柱状图，3-折线图
     * */
    @Excel(name = "展现形式")
    private Long indexType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setIndexName(String indexName) 
    {
        this.indexName = indexName;
    }

    public String getIndexName() 
    {
        return indexName;
    }

    public void setQuestionId(String questionId) 
    {
        this.questionId = questionId;
    }

    public String getQuestionId() 
    {
        return questionId;
    }

    public void setInfoId(Long infoId) 
    {
        this.infoId = infoId;
    }

    public Long getInfoId() 
    {
        return infoId;
    }

    public void setIndexType(Long indexType) 
    {
        this.indexType = indexType;
    }

    public Long getIndexType() 
    {
        return indexType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("indexName", getIndexName())
            .append("questionId", getQuestionId())
            .append("infoId", getInfoId())
            .append("indexType", getIndexType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
