package com.ruoyi.dw.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 调查问卷主体对象 dw_info
 * 
 * @author sunyg
 * @date 2025-06-26
 */
public class DwInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 调查问卷名称 */
    @Excel(name = "调查问卷名称")
    private String dwName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setDwName(String dwName) 
    {
        this.dwName = dwName;
    }

    public String getDwName() 
    {
        return dwName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dwName", getDwName())
            .toString();
    }
}
